namespace GxPress.Result.App.GroupChat
{
    /// <summary>
    /// 聊天群信息
    /// </summary>
    public class GroupChatInfoResult
    {
        /// <summary>
        /// 用户姓名
        /// </summary>
        /// <value></value>
        public string UserName { get; set; }

        /// <summary>
        /// 群ID
        /// </summary>
        /// <value></value>
        public int Id { get; set; }
        /// <summary>
        /// 群名称
        /// </summary>

        public string Name { get; set; }

        /// <summary>
        /// 群介绍
        /// </summary>

        public string Introduce { get; set; }

        /// <summary>
        /// 群头像
        /// </summary>

        public string AvatarUrl { get; set; }

        /// <summary>
        /// 群主ID
        /// </summary>

        public int UserId { get; set; }

        /// <summary>
        /// 群聊环信ID
        /// </summary>

        public string GroupChatImId { get; set; }

        /// <summary>
        /// 是否禁言
        /// </summary>

        public bool IsWords { get; set; }

        /// <summary>
        /// 是否管理员同意
        /// </summary>

        public bool IsAdmin { get; set; }

        /// <summary>
        /// 二维码
        /// </summary>

        public string QRCoder { get; set; }

        /// <summary>
        /// 打开关闭二维码
        /// </summary>

        public bool IsOpenQrCoder { get; set; }

        /// <summary>
        /// 人数
        /// </summary>
        /// <value></value>
        public int UserCount { get; set; }

        public int TypeValue { get; set; }
        public int TypeId { get; set; }

    }
}