using GxPress.EnumConst;
using Datory.Annotations;
using System;

namespace GxPress.Entity
{
    /// <summary>
    /// 现在成员
    /// </summary>
    [DataTable("tede_group_user")]
    public class GroupUser : Datory.Entity
    {
        /// <summary>
        /// 小组ID
        /// </summary>
        [DataColumn]
        public int GroupId { get; set; }

        /// <summary>
        /// 小组成员ID
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }

        /// <summary>
        /// 角色类型
        /// </summary>
        [DataColumn]
        public GroupUserRoleTyeConst GroupUserRoleId { get; set; }

        /// <summary>
        /// 是否免打扰
        /// </summary>
        [DataColumn]
        public bool IsUDisturb { get; set; }
        /// <summary>
        /// 用户阅读时间
        /// </summary>
        /// <value></value>
        [DataColumn]
        public DateTime ReadDate { get; set; }
    }
}
