using GxPress.Common.Page;

namespace GxPress.Request.App.Note
{
    /// <summary>
    /// 分页查询
    /// </summary>
    public class NoteSearchPageListRequest : PageParameter
    {
        /// <summary>
        /// 搜索字段
        /// </summary>
        public string SearchKey { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 文件夹ID
        /// </summary>
        public int FolderId { get; set; }

        /// <summary>
        /// 访问用户ID
        /// </summary>
        public int VisitUserId { get; set; }
        /// <summary>
        /// 0 笔记 1 笔记话题
        /// </summary>
        /// <value></value>
        public int TypeValue { get; set; }
        
    }
}
